Loading...
Searching...
No Matches
RDKit::Canon::AtomCompareFunctor Class Reference

`#include <new_canon.h>`

## Public Member Functions

| AtomCompareFunctor ()
| AtomCompareFunctor (Canon::canon_atom *atoms, const ROMol &m, const boost::dynamic_bitset<> *atomsInPlay=nullptr, const boost::dynamic_bitset<> *bondsInPlay=nullptr)
int | operator() (int i, int j) const

## Public Attributes

Canon::canon_atom * | dp_atoms {nullptr}
const ROMol * | dp_mol {nullptr}
const boost::dynamic_bitset * | dp_atomsInPlay {nullptr}
const boost::dynamic_bitset * | dp_bondsInPlay {nullptr}
bool | df_useNbrs {false}
bool | df_useIsotopes {true}
bool | df_useChirality {true}
bool | df_useChiralityRings {true}

## Detailed Description

Definition at line 283 of file new_canon.h.

## Constructor & Destructor Documentation

## AtomCompareFunctor() [1/2]

RDKit::Canon::AtomCompareFunctor::AtomCompareFunctor | ( |  | ) |

inline

Definition at line 468 of file new_canon.h.

## AtomCompareFunctor() [2/2]

RDKit::Canon::AtomCompareFunctor::AtomCompareFunctor | ( | Canon::canon_atom * | atoms,
|  | const ROMol & | m,
|  | const boost::dynamic_bitset<> * | atomsInPlay = `nullptr`,
|  | const boost::dynamic_bitset<> * | bondsInPlay = `nullptr`
| ) |  |

inline

Definition at line 469 of file new_canon.h.

## Member Function Documentation

## operator()()

int RDKit::Canon::AtomCompareFunctor::operator() | ( | int | i,
|  | int | j
| ) |  | const

inline

Definition at line 480 of file new_canon.h.

References RDKit::Canon::updateAtomNeighborIndex().

## Member Data Documentation

## df_useChirality

bool RDKit::Canon::AtomCompareFunctor::df_useChirality {true}

Definition at line 465 of file new_canon.h.

## df_useChiralityRings

bool RDKit::Canon::AtomCompareFunctor::df_useChiralityRings {true}

Definition at line 466 of file new_canon.h.

## df_useIsotopes

bool RDKit::Canon::AtomCompareFunctor::df_useIsotopes {true}

Definition at line 464 of file new_canon.h.

## df_useNbrs

bool RDKit::Canon::AtomCompareFunctor::df_useNbrs {false}

Definition at line 463 of file new_canon.h.

## dp_atoms

Canon::canon_atom* RDKit::Canon::AtomCompareFunctor::dp_atoms {nullptr}

Definition at line 459 of file new_canon.h.

## dp_atomsInPlay

const boost::dynamic_bitset* RDKit::Canon::AtomCompareFunctor::dp_atomsInPlay {nullptr}

Definition at line 461 of file new_canon.h.

## dp_bondsInPlay

const boost::dynamic_bitset * RDKit::Canon::AtomCompareFunctor::dp_bondsInPlay {nullptr}

Definition at line 462 of file new_canon.h.

## dp_mol

const ROMol* RDKit::Canon::AtomCompareFunctor::dp_mol {nullptr}

Definition at line 460 of file new_canon.h.

The documentation for this class was generated from the following file:

- new_canon.h